<style scoped lang="less">

  @size: 24px;
  @checked-size: 18px;

  fieldset.checkbox {
    display: flex;
    align-items: center;
    cursor: pointer;
    margin-bottom: 10px;
  }

  label {
    width: @size;
    height: @size;
    border: 1px solid var(--text-muted);
    border-radius: 4px;
    display: block;
    margin-right: 16px;

    &.checked {
      position: relative;

      &:after {
        content: '';
        position: absolute;
        width: @checked-size;
        height: @checked-size;
        top: 2px;
        left: 2px;
        background: var(--bg-body);
        border-radius: 3px;
      }

    }
  }

  span {
    font-size: 14px;
  }

  input {
    display: none;
  }


</style>

<template>

  <fieldset class="checkbox" @click="handleChange(isChecked)">
    <label :class="[isChecked && 'checked']"></label>
    <span>{{ text }}</span>
    <input type="checkbox" :value="isChecked">
  </fieldset>

</template>

<script>

  export default {
    name: 'input-checkbox',
    props: {
      text: String,
      isChecked: Boolean,
    },
    methods: {
      handleChange(value) {
        this.$emit('change', value, this.text)
      }
    }

  }

</script>
